searchNodes=[{"ref":"Recase.html","title":"Recase","type":"module","doc":"Recase allows you to convert string from any to any case. This module contains public interface."},{"ref":"Recase.html#to_camel/1","title":"Recase.to_camel/1","type":"function","doc":"Converts string to camelCase. Examples iex&gt; Recase.to_camel(&quot;some-value&quot;) &quot;someValue&quot; iex&gt; Recase.to_camel(&quot;Some Value&quot;) &quot;someValue&quot;"},{"ref":"Recase.html#to_constant/1","title":"Recase.to_constant/1","type":"function","doc":"Converts string to CONSTANT_CASE. Examples iex&gt; Recase.to_constant(&quot;SomeValue&quot;) &quot;SOME_VALUE&quot; iex&gt; Recase.to_constant(&quot;some value&quot;) &quot;SOME_VALUE&quot;"},{"ref":"Recase.html#to_dot/1","title":"Recase.to_dot/1","type":"function","doc":"Converts string to dot.case Examples iex&gt; Recase.to_dot(&quot;SomeValue&quot;) &quot;some.value&quot; iex&gt; Recase.to_dot(&quot;some value&quot;) &quot;some.value&quot;"},{"ref":"Recase.html#to_kebab/1","title":"Recase.to_kebab/1","type":"function","doc":"Converts string to kebab-case. Examples iex&gt; Recase.to_kebab(&quot;SomeValue&quot;) &quot;some-value&quot; iex&gt; Recase.to_kebab(&quot;some value&quot;) &quot;some-value&quot;"},{"ref":"Recase.html#to_pascal/1","title":"Recase.to_pascal/1","type":"function","doc":"Converts string to PascalCase (aka UpperCase). Examples iex&gt; Recase.to_pascal(&quot;some-value&quot;) &quot;SomeValue&quot; iex&gt; Recase.to_pascal(&quot;some value&quot;) &quot;SomeValue&quot;"},{"ref":"Recase.html#to_path/1","title":"Recase.to_path/1","type":"function","doc":""},{"ref":"Recase.html#to_path/2","title":"Recase.to_path/2","type":"function","doc":"Converts string to path/case. Examples iex&gt; Recase.to_path(&quot;SomeValue&quot;) &quot;Some/Value&quot; iex&gt; Recase.to_path(&quot;some value&quot;, &quot;\\\\&quot;) &quot;some\\\\value&quot;"},{"ref":"Recase.html#to_sentence/1","title":"Recase.to_sentence/1","type":"function","doc":"Converts string to Sentence case Examples iex&gt; Recase.to_sentence(&quot;SomeValue&quot;) &quot;Some value&quot; iex&gt; Recase.to_sentence(&quot;some value&quot;) &quot;Some value&quot;"},{"ref":"Recase.html#to_snake/1","title":"Recase.to_snake/1","type":"function","doc":"Converts string to snake_case. Examples iex&gt; Recase.to_snake(&quot;some-value&quot;) &quot;some_value&quot; iex&gt; Recase.to_snake(&quot;someValue&quot;) &quot;some_value&quot;"},{"ref":"Recase.html#to_title/1","title":"Recase.to_title/1","type":"function","doc":"Converts string to Title Case Examples iex&gt; Recase.to_title(&quot;SomeValue&quot;) &quot;Some Value&quot; iex&gt; Recase.to_title(&quot;some value&quot;) &quot;Some Value&quot;"},{"ref":"Recase.html#underscore/1","title":"Recase.underscore/1","type":"function","doc":"See Recase.to_snake/1."},{"ref":"Recase.CamelCase.html","title":"Recase.CamelCase","type":"module","doc":"Module to convert strings to camelCase. This module should not be used directly. Examples iex&gt; Recase.to_camel &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;fooBarBazΛambdaΛambdaПриветМир&quot; Read about camelCase here: https://en.wikipedia.org/wiki/Camel_case"},{"ref":"Recase.CamelCase.html#convert/1","title":"Recase.CamelCase.convert/1","type":"function","doc":""},{"ref":"Recase.ConstantCase.html","title":"Recase.ConstantCase","type":"module","doc":"Module to convert strings to CONSTANT_CASE. This module should not be used directly. Examples iex&gt; Recase.to_constant &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;FOO_BAR_BAZ_ΛAMBDA_ΛAMBDA_ПРИВЕТ_МИР&quot; Constant case is the same as snake_case, but uppercased."},{"ref":"Recase.ConstantCase.html#convert/1","title":"Recase.ConstantCase.convert/1","type":"function","doc":""},{"ref":"Recase.DotCase.html","title":"Recase.DotCase","type":"module","doc":"Module to convert strings to dot.case. This module should not be used directly. Examples iex&gt; Recase.to_dot &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo.bar.baz.λambda.λambda.привет.мир&quot; DotCase is the same as KebabCase and SnakeCase. But uses . as a separator."},{"ref":"Recase.DotCase.html#convert/1","title":"Recase.DotCase.convert/1","type":"function","doc":""},{"ref":"Recase.Enumerable.html","title":"Recase.Enumerable","type":"module","doc":"Helper module to convert enumerable keys recursively."},{"ref":"Recase.Enumerable.html#convert_keys/2","title":"Recase.Enumerable.convert_keys/2","type":"function","doc":"Invoke fun for each keys of the enumerable."},{"ref":"Recase.Generic.html","title":"Recase.Generic","type":"module","doc":"Generic module to split and join strings back. This module should not be used directly."},{"ref":"Recase.Generic.html#rejoin/2","title":"Recase.Generic.rejoin/2","type":"function","doc":"Splits the input and rejoins it with a separator given. Optionally converts parts to downcase, upcase or titlecase. opts[:case] :: [:down | :up | :title | :none] opts[:separator] :: binary() | integer() Default separator is ?_, default conversion is :downcase so that it behaves the same way as to_snake/1. Examples iex&gt; Recase.Generic.rejoin &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot;, separator: &quot;__&quot; &quot;foo__bar__baz__λambda__λambda__привет__мир&quot;"},{"ref":"Recase.Generic.html#split/1","title":"Recase.Generic.split/1","type":"function","doc":"Splits the input into list. Utility function. Examples iex&gt; Recase.Generic.split &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; [&quot;foo&quot;, &quot;bar&quot;, &quot;Baz&quot;, &quot;λambda&quot;, &quot;Λambda&quot;, &quot;привет&quot;, &quot;Мир&quot;]"},{"ref":"Recase.KebabCase.html","title":"Recase.KebabCase","type":"module","doc":"Module to convert strings to kebab-case. This module should not be used directly. Examples iex&gt; Recase.to_kebab &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo-bar-baz-λambda-λambda-привет-мир&quot; Read about kebab-case here: https://en.wikipedia.org/wiki/Kebab_case"},{"ref":"Recase.KebabCase.html#convert/1","title":"Recase.KebabCase.convert/1","type":"function","doc":""},{"ref":"Recase.PascalCase.html","title":"Recase.PascalCase","type":"module","doc":"Module to convert strings to PascalCase aka UpperCase. This module should not be used directly. Examples iex&gt; Recase.to_pascal &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;FooBarBazΛambdaΛambdaПриветМир&quot; Read about PascalCase here: https://en.wikipedia.org/wiki/PascalCase Changed This name was introduced in version 0.2.0, it was named UpperCase before. But UpperCase was not clear enough. What is uppercase? THIS IS UPPERCASE ThisIsAlsoUpperCase So, it was decided to rename this module into PascalCase. For other details see: https://github.com/sobolevn/recase/issues/2"},{"ref":"Recase.PascalCase.html#convert/1","title":"Recase.PascalCase.convert/1","type":"function","doc":""},{"ref":"Recase.PathCase.html","title":"Recase.PathCase","type":"module","doc":"Module to convert strings to path/case. This module should not be used directly. Path case preserves the original case, but inserts path separator to appropriate places. By default uses / as a path separator. Examples iex&gt; Recase.to_path &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo/bar/Baz/λambda/Λambda/привет/Мир&quot;"},{"ref":"Recase.PathCase.html#convert/2","title":"Recase.PathCase.convert/2","type":"function","doc":""},{"ref":"Recase.Replace.html","title":"Recase.Replace","type":"module","doc":"Helper module to pipe and replace values easily."},{"ref":"Recase.Replace.html#replace/3","title":"Recase.Replace.replace/3","type":"function","doc":"Replaces value if it matches regex with new_value. Standard Regex.replace/3 accepts value to replace as the second argument. Which is not quite convenient to use in pipes. This function accepts value as the first argument and then passes it to Regex.replace/3 as the second one."},{"ref":"Recase.SentenceCase.html","title":"Recase.SentenceCase","type":"module","doc":"Module to convert strings to Sentence case. This module should not be used directly. Examples iex&gt; Recase.to_sentence &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;Foo bar baz λambda λambda привет мир&quot; Read about Sentence case here: https://en.wikipedia.org/wiki/Letter_case#Sentence_case"},{"ref":"Recase.SentenceCase.html#convert/1","title":"Recase.SentenceCase.convert/1","type":"function","doc":""},{"ref":"Recase.SnakeCase.html","title":"Recase.SnakeCase","type":"module","doc":"Module to convert strings to snake_case. This module should not be used directly. Examples iex&gt; Recase.to_snake &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo_bar_baz_λambda_λambda_привет_мир&quot; iex&gt; Recase.underscore &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;foo_bar_baz_λambda_λambda_привет_мир&quot; Read about snake_case here: https://en.wikipedia.org/wiki/Snake_case"},{"ref":"Recase.SnakeCase.html#convert/1","title":"Recase.SnakeCase.convert/1","type":"function","doc":""},{"ref":"Recase.TitleCase.html","title":"Recase.TitleCase","type":"module","doc":"Module to convert strings to Title Case. This module should not be used directly. NB! at the moment has no stop words: titleizes everything Examples iex&gt; Recase.to_title &quot;foo_barBaz-λambdaΛambda-привет-Мир&quot; &quot;Foo Bar Baz Λambda Λambda Привет Мир&quot; Read about Title Case here: https://en.wikipedia.org/wiki/Letter_case#Title_case"},{"ref":"Recase.TitleCase.html#convert/1","title":"Recase.TitleCase.convert/1","type":"function","doc":""},{"ref":"readme.html","title":"Recase","type":"extras","doc":"Recase Recase helps you to convert a string from any case to any case."},{"ref":"readme.html#why","title":"Recase - Why?","type":"extras","doc":"One can ask: &quot;Why should I use recase when I can use built-in Macro module?&quot;. But, you have to keep in mind that Macro&#39;s functions are not suitable for general case usage: Do not use it as a general mechanism for underscoring or camelizing strings as it does not support Unicode or characters that are not valid in Elixir identifiers."},{"ref":"readme.html#installation","title":"Recase - Installation","type":"extras","doc":"def deps do [{:recase, &quot;~&gt; 0.5&quot;}] end"},{"ref":"readme.html#usage","title":"Recase - Usage","type":"extras","doc":"Pascal Pascal (or Upper) case uses mixed case with lower and upper cased characters. Separates words from each other with the upper case letters. Starts with upper case letter. Recase.to_pascal(&quot;some-value&quot;) # =&gt; &quot;SomeValue&quot; Recase.to_pascal(&quot;Some value&quot;) # =&gt; &quot;SomeValue&quot; Camel Camel case uses mixed case with lower and upper cased characters. Separates words from each other with the upper cased letters. Starts with lower case letter. Recase.to_camel(&quot;some-value&quot;) # =&gt; &quot;someValue&quot; Recase.to_camel(&quot;Some Value&quot;) # =&gt; &quot;someValue&quot; Snake Snake cases uses all lower case. Uses _ as a separator. Recase.to_snake(&quot;someValue&quot;) # =&gt; &quot;some_value&quot; Recase.to_snake(&quot;Some Value&quot;) # =&gt; &quot;some_value&quot; Kebab Kebab cases uses all lower case. Uses - as a separator. Recase.to_kebab(&quot;someValue&quot;) # =&gt; &quot;some-value&quot; Recase.to_kebab(&quot;Some Value&quot;) # =&gt; &quot;some-value&quot; Constant Constant case uses all upper case. Uses _ as a separator. Recase.to_constant(&quot;SomeValue&quot;) # =&gt; &quot;SOME_VALUE&quot; Recase.to_constant(&quot;some value&quot;) # =&gt; &quot;SOME_VALUE&quot; Dot Dot case uses all lower case similar to snake case. Uses . as a separator. Recase.to_dot(&quot;SomeValue&quot;) # =&gt; &quot;some.value&quot; Recase.to_dot(&quot;some value&quot;) # =&gt; &quot;some.value&quot; Path Path case preserves case, you can also provide a separator as the second argument. Recase.to_path(&quot;SomeValue&quot;) # =&gt; &quot;Some/Value&quot; Recase.to_path(&quot;some value&quot;, &quot;\\\\&quot;) # =&gt; &quot;some\\\\value&quot; Sentence Sentence case uses the same rules as regular sentence. First letter is uppercase all others letters are lowercase separated by spaces. Recase.to_sentence(&quot;SomeValue&quot;) # =&gt; &quot;Some value&quot; Recase.to_sentence(&quot;some value&quot;) # =&gt; &quot;Some value&quot; Title Title case applies a &quot;Title Style&quot; to all words in a sentence. Recase.to_title(&quot;some-value&quot;) # =&gt; &quot;Some Value&quot; Recase.to_title(&quot;some value&quot;) # =&gt; &quot;Some Value&quot; Enumerable You can convert all keys in an enumerable with: Recase.Enumerable.convert_keys( %{&quot;yourKey&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_snake/1 ) # =&gt; %{&quot;your_key&quot; =&gt; &quot;value&quot;} Recase.Enumerable.convert_keys( %{&quot;your_key&quot; =&gt; &quot;value&quot;}, &amp;Recase.to_camel/1 ) # =&gt; %{&quot;yourKey&quot; =&gt; &quot;value&quot;}"},{"ref":"readme.html#changelog","title":"Recase - Changelog","type":"extras","doc":"Full changelog is available here."},{"ref":"readme.html#license","title":"Recase - License","type":"extras","doc":"MIT. See LICENSE.md for more details."},{"ref":"readme.html#thanks","title":"Recase - Thanks","type":"extras","doc":"Thanks to Gyan Lakhwani for the logo."}]